<template>
	<view>
		<view v-html="data">
			<view class="back-top-box">
				<u-back-top :scroll-top="scrollTop"></u-back-top>
			</view>
		</view>
		<view style="height: 40rpx;"></view>
		<!--    回到顶部-->
	</view>
</template>

<script>
	export default {
		data() {
			return {
				data: uni.getStorageSync("giftContent"),
				scrollTop: 0
			}
		},
		onShow() {
			if (this.data) {
				this.data = this.data.replace(/<img/g,
					"<img style='max-width:100%;height:auto;'");
			}
		},
		onPageScroll(e) {
			this.scrollTop = e.scrollTop
		},
		methods: {

		}
	}
</script>

<style scoped>
	image {
		padding: 0;
		margin: 0;
	}
</style>
